{"models":[{"endpoint_id":"fal-ai/kling-video/v2.1/master/text-to-video","metadata":{"display_name":"Kling 2.1 Master","category":"text-to-video","description":"Kling 2.1 Master: The premium endpoint for Kling 2.1, designed for top-tier text-to-video generation with unparalleled motion fluidity, cinematic visuals, and exceptional prompt precision.","status":"deprecated","tags":[],"updated_at":"2026-09-15T13:14:10.169Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Upscale-5.jpeg","model_url":"https://fal.run/fal-ai/kling-video/v2.1/master/text-to-video","license_type":"commercial","date":"2025-05-29T00:34:10.450Z","group":{"key":"kling-video-v21","label":"2.1 Master (Text to Video)"},"highlighted":false,"kind":"inference","duration_estimate":5,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v2.1/master/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v2.1/master/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v2.1/master/text-to-video","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Upscale-5.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v2.1/master/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v2.1/master/text-to-video/api","about":"Kling 2.1 Master Text to Video API."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV21MasterTextToVideoInput":{"properties":{"prompt":{"maxLength":2500,"examples":["Warm, earthy tones bathe the scene as the potter's hands, rough and calloused, coax a shapeless lump of clay into a vessel of elegant curves, the slow, deliberate movements highlighted by the subtle shifting light; the clay's cool, damp texture contrasts sharply with the warmth of the potter's touch, creating a captivating interplay between material and maker."],"title":"Prompt","type":"string"},"cfg_scale":{"description":"\n            The CFG (Classifier Free Guidance) scale is a measure of how close you want\n            the model to stick to your prompt.\n        ","title":"Cfg Scale","type":"number","default":0.5,"minimum":0,"maximum":1},"negative_prompt":{"maxLength":2500,"title":"Negative Prompt","type":"string","default":"blur, distort, and low quality"},"aspect_ratio":{"enum":["16:9","9:16","1:1"],"description":"The aspect ratio of the generated video frame","title":"Aspect Ratio","type":"string","default":"16:9"},"enable_safety_checker":{"description":"Disabling safety checks requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","type":"boolean","default":true},"duration":{"enum":["5","10"],"description":"The duration of the generated video in seconds","title":"Duration","type":"string","default":"5"}},"required":["prompt"],"title":"TextToVideoV21MasterRequest","x-fal-order-properties":["enable_safety_checker","prompt","duration","aspect_ratio","negative_prompt","cfg_scale"],"type":"object"},"KlingVideoV21MasterTextToVideoOutput":{"properties":{"video":{"description":"The generated video","examples":[{"url":"https://v3.fal.media/files/lion/0wTlhR7GCXFI-_BZXGy99_output.mp4"}],"$ref":"#/components/schemas/File"}},"required":["video"],"title":"TextToVideoV21MasterOutput","x-fal-order-properties":["video"],"type":"object"},"File":{"properties":{"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"}},"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/kling-video/v2.1/master/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2.1/master/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v2.1/master/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV21MasterTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2.1/master/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV21MasterTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-video-13b-dev","metadata":{"display_name":"LTX Video-0.9.7 13B","category":"text-to-video","description":"Generate videos from prompts using LTX Video-0.9.7 13B and custom LoRA","status":"deprecated","tags":["video","ltx-video","text-to-video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Training-4.jpg","model_url":"https://fal.run/fal-ai/ltx-video-13b-dev","license_type":"commercial","date":"2025-05-17T01:51:47.329Z","group":{"key":"ltx-video-13b","label":"Text to Video"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false,"training_endpoint_ids":["fal-ai/ltx-video-trainer"]},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/ltx-video-lora","metadata":{"display_name":"LTX Video-0.9.7 LoRA","category":"text-to-video","description":"Deprecated.\nUse fal-ai/ltx-video-13b-dev or fal-ai/ltx-video-13b-distilled instead.\n","status":"deprecated","tags":["video","ltx-video","text-to-video"],"updated_at":"2026-07-13T19:05:24.786Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Training-4.jpg","model_url":"https://fal.run/fal-ai/ltx-video-lora","license_type":"commercial","date":"2025-05-15T18:04:24.555Z","group":{"key":"ltx-video-lora","label":"Text to Video"},"highlighted":false,"kind":"inference","duration_estimate":2,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/magi","metadata":{"display_name":"MAGI-1","category":"text-to-video","description":"MAGI-1 is a video generation model with exceptional understanding of physical interactions and cinematic prompts","status":"deprecated","tags":["text-to-video"],"updated_at":"2026-05-26T23:02:50.409Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/for%20videos-1.jpg","model_url":"https://fal.run/fal-ai/magi","license_type":"commercial","date":"2025-04-23T22:38:37.209Z","group":{"key":"magi","label":"Text-to-Video"},"highlighted":false,"kind":"inference","duration_estimate":9,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"error":{"code":"expansion_failed","message":"Failed to fetch OpenAPI schema"}}},{"endpoint_id":"fal-ai/kling-video/v2/master/text-to-video","metadata":{"display_name":"Kling 2.0 Master","category":"text-to-video","description":"Generate video clips from your prompts using Kling 2.0 Master","status":"deprecated","tags":[],"updated_at":"2026-09-15T13:15:18.594Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/fal/Upscale-5.jpeg","model_url":"https://fal.run/fal-ai/kling-video/v2/master/text-to-video","license_type":"commercial","date":"2025-04-14T21:47:18.476Z","group":{"key":"kling-video-v2","label":"Text to Video v2 Master"},"highlighted":false,"kind":"inference","duration_estimate":5,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v2/master/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v2/master/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v2/master/text-to-video","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/fal/Upscale-5.jpeg","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v2/master/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v2/master/text-to-video/api","about":"Kling 2.0 Master Text to Video API.\n\nThe Kling 2.0 Master model is an upgraded version of the text-to-video generation model\nthat significantly improves upon Kling 1.6 in several key areas:\n\nText Understanding:\n- Enhanced execution of actions and camera movements\n- Support for more complex sequential shot descriptions\n- Ability to generate blockbuster-quality scenes from text\n\nMotion Quality:\n- More dynamic character and subject movements\n- Smoother motion and transitions\n- Natural and logical complex action sequences\n\nVisual Quality:\n- Lifelike characters with realistic movements and expressions\n- Highly detailed scene generation from cinematic descriptions\n- Better preservation of artistic style and aesthetics"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV2MasterTextToVideoInput":{"properties":{"prompt":{"maxLength":2500,"examples":["A slow-motion drone shot descending from above a maze of neon-lit Tokyo alleyways at night during heavy rainfall. The camera gradually focuses on a lone figure in a luminescent white raincoat standing perfectly still amid the bustling crowd, all carrying black umbrellas. As the camera continues its downward journey, we see the raindrops creating rippling patterns on puddles that reflect the kaleidoscope of colors from the surrounding signs, creating a mirror world beneath the city."],"title":"Prompt","type":"string"},"cfg_scale":{"description":"\n            The CFG (Classifier Free Guidance) scale is a measure of how close you want\n            the model to stick to your prompt.\n        ","title":"Cfg Scale","type":"number","default":0.5,"minimum":0,"maximum":1},"negative_prompt":{"maxLength":2500,"title":"Negative Prompt","type":"string","default":"blur, distort, and low quality"},"aspect_ratio":{"enum":["16:9","9:16","1:1"],"description":"The aspect ratio of the generated video frame","title":"Aspect Ratio","type":"string","default":"16:9"},"enable_safety_checker":{"description":"Disabling safety checks requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","type":"boolean","default":true},"duration":{"enum":["5","10"],"description":"The duration of the generated video in seconds","title":"Duration","type":"string","default":"5"}},"required":["prompt"],"title":"TextToVideoV2MasterRequest","x-fal-order-properties":["enable_safety_checker","prompt","duration","aspect_ratio","negative_prompt","cfg_scale"],"type":"object"},"KlingVideoV2MasterTextToVideoOutput":{"properties":{"video":{"description":"The generated video","examples":[{"url":"https://v3.fal.media/files/rabbit/5fu6OSZdvV825r2s_c0S8_output.mp4"}],"$ref":"#/components/schemas/File"}},"required":["video"],"title":"TextToVideoV2MasterOutput","x-fal-order-properties":["video"],"type":"object"},"File":{"properties":{"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"}},"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/kling-video/v2/master/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2/master/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v2/master/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV2MasterTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v2/master/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV2MasterTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-t2v-lora","metadata":{"display_name":"Wan-2.1 Text-to-Video with LoRAs","category":"text-to-video","description":"Add custom LoRAs to Wan-2.1 is a text-to-video model that generates high-quality videos with high visual quality and motion diversity from images","status":"active","tags":["\"text to video\"","\"motion\"","\"lora\""],"updated_at":"2026-11-04T20:21:58.334Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/wan-i2v-lora.webp","thumbnail_animated_url":"https://storage.googleapis.com/falserverless/gallery/wan-i2v-lora-animated.webp","model_url":"https://fal.run/fal-ai/wan-t2v-lora","license_type":"commercial","date":"2025-03-25T06:02:53.703Z","highlighted":false,"kind":"inference","duration_estimate":5,"pinned":false,"training_endpoint_ids":["fal-ai/wan-trainer/t2v-14b"],"inference_endpoint_ids":["fal-ai/wan-trainer/t2v-14b"]},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"minimax/h3-max/text-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan-t2v-lora","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-t2v-lora queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-t2v-lora","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/wan-i2v-lora.webp","playgroundUrl":"https://fal.ai/models/fal-ai/wan-t2v-lora","documentationUrl":"https://fal.ai/models/fal-ai/wan-t2v-lora/api","about":"Inference"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanT2vLoraInput":{"x-fal-order-properties":["prompt","negative_prompt","num_frames","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","enable_safety_checker","enable_prompt_expansion","turbo_mode","loras","reverse_video"],"title":"WanLoRARequest","type":"object","properties":{"enable_prompt_expansion":{"description":"Whether to enable prompt expansion.","examples":[false],"title":"Enable Prompt Expansion","type":"boolean","default":false},"turbo_mode":{"description":"If true, the video will be generated faster with no noticeable degradation in the visual quality.","title":"Turbo Mode","type":"boolean","default":true},"num_inference_steps":{"maximum":40,"description":"Number of inference steps for sampling. Higher values give better quality but take longer.","title":"Num Inference Steps","type":"integer","default":30,"minimum":2},"aspect_ratio":{"description":"Aspect ratio of the generated video (16:9 or 9:16).","title":"Aspect Ratio","type":"string","default":"16:9","enum":["9:16","16:9"]},"reverse_video":{"description":"If true, the video will be reversed.","title":"Reverse Video","type":"boolean","default":false},"enable_safety_checker":{"description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","examples":[true],"title":"Enable Safety Checker","type":"boolean","default":false},"num_frames":{"description":"Number of frames to generate. Must be between 81 to 100 (inclusive).","anyOf":[{"maximum":100,"type":"integer","minimum":81},{"type":"null"}],"title":"Num Frames","default":81},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed"},"frames_per_second":{"description":"Frames per second of the generated video. Must be between 5 to 24.","anyOf":[{"maximum":24,"type":"integer","minimum":5},{"type":"null"}],"title":"Frames Per Second","default":16},"resolution":{"description":"Resolution of the generated video (480p, 580p, or 720p).","title":"Resolution","type":"string","default":"480p","enum":["480p","580p","720p"]},"negative_prompt":{"description":"Negative prompt for video generation.","examples":["bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"],"title":"Negative Prompt","type":"string","default":"bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"},"loras":{"items":{"$ref":"#/components/schemas/LoraWeight"},"description":"LoRA weights to be used in the inference.","title":"Loras","type":"array","default":[]},"prompt":{"description":"The text prompt to guide video generation.","examples":["A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage. She wears a black leather jacket, a long red dress, and black boots, and carries a black purse."],"title":"Prompt","type":"string"}},"required":["prompt"]},"WanT2vLoraOutput":{"x-fal-order-properties":["video","seed"],"title":"WanT2VResponse","type":"object","properties":{"video":{"description":"The generated video file.","examples":[{"url":"https://storage.googleapis.com/falserverless/web-examples/wan/t2v.mp4"}],"$ref":"#/components/schemas/File"},"seed":{"description":"The seed used for generation.","title":"Seed","type":"integer"}},"required":["video","seed"]},"LoraWeight":{"x-fal-order-properties":["path","weight_name","scale"],"title":"LoraWeight","type":"object","properties":{"path":{"description":"URL or the path to the LoRA weights.","title":"Path","type":"string"},"weight_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Name of the LoRA weight. Used only if `path` is a Hugging Face repository, and required only if you have more than 1 safetensors file in the repo.","title":"Weight Name"},"scale":{"maximum":4,"description":"\n            The scale of the LoRA weight. This is used to scale the LoRA weight\n            before merging it with the base model.\n        ","title":"Scale","type":"number","default":1,"minimum":0}},"required":["path"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","type":"object","properties":{"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["z9RV14K95DvU.png"],"title":"File Name","description":"The name of the file. It will be auto-generated if not provided."},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"examples":[4404019],"title":"File Size","description":"The size of the file in bytes."},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"examples":["image/png"],"title":"Content Type","description":"The mime type of the file."}},"required":["url"]}}},"paths":{"/fal-ai/wan-t2v-lora/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-t2v-lora/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-t2v-lora":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanT2vLoraInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-t2v-lora/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanT2vLoraOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-pro/text-to-video","metadata":{"display_name":"Wan-2.1 Pro Text-to-Video","category":"text-to-video","description":"Wan-2.1 Pro is a premium text-to-video model that generates high-quality 1080p videos at 30fps with up to 6 seconds duration, delivering exceptional visual quality and motion diversity from text prompts","status":"active","tags":["text to video","motion"],"updated_at":"2026-11-04T20:21:58.981Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_02.jpg","model_url":"https://fal.run/fal-ai/wan-pro/text-to-video","license_type":"commercial","date":"2025-03-11T00:00:00.000Z","group":{"key":"wan-2.1","label":"Text-to-Video (Pro)"},"highlighted":false,"kind":"inference","duration_estimate":5,"pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":"minimax/h3-max/text-to-video","openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan-pro/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-pro/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-pro/text-to-video","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_02.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan-pro/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/wan-pro/text-to-video/api","about":"Generate a 6-second 1080p video (at 30 FPS) from text using an enhanced version of Wan 2.1."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanProTextToVideoInput":{"type":"object","x-fal-order-properties":["prompt","seed","enable_safety_checker"],"title":"WanProT2VRequest","properties":{"seed":{"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]},"enable_safety_checker":{"type":"boolean","description":"Whether to enable the safety checker","title":"Enable Safety Checker","default":true},"prompt":{"examples":["A lone astronaut in a detailed NASA spacesuit performs an exuberant dance on the lunar surface, arms outstretched in joyful abandon against the stark moonscape. The Earth hangs dramatically in the black sky, appearing to streak past due to the motion of the dance, creating a sense of dynamic movement. The scene captures extreme contrasts between the brilliant white of the spacesuit reflecting harsh sunlight and the deep shadows of the lunar craters. Every detail is rendered with photorealistic precision: the texture of the regolith disturbed by the astronaut's boots, the reflections on the helmet visor."],"type":"string","description":"The prompt to generate the video","title":"Prompt"}},"required":["prompt"]},"WanProTextToVideoOutput":{"type":"object","x-fal-order-properties":["video"],"title":"WanProT2VResponse","properties":{"video":{"examples":[{"url":"https://fal.media/files/panda/YxRLson-aETxeBK1DI4VW.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video"}},"required":["video"]},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"file_size":{"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","anyOf":[{"type":"string"},{"type":"null"}]}},"required":["url"]}}},"paths":{"/fal-ai/wan-pro/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-pro/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-pro/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanProTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-pro/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanProTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/ltx-video-v095","metadata":{"display_name":"LTX Video-0.9.5","category":"text-to-video","description":"Generate videos from prompts using LTX Video-0.9.5","status":"deprecated","tags":["video","text-video"],"updated_at":"2026-10-27T22:39:53.755Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/falserverless/gallery/ltx-0.9.5.webp","model_url":"https://fal.run/fal-ai/ltx-video-v095","license_type":"commercial","date":"2025-03-05T00:00:00.000Z","group":{"key":"ltx-video-v0.9.5","label":"Text to Video"},"highlighted":false,"kind":"inference","pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/ltx-video-v095","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/ltx-video-v095 queue.","x-fal-metadata":{"endpointId":"fal-ai/ltx-video-v095","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/falserverless/gallery/ltx-0.9.5.webp","playgroundUrl":"https://fal.ai/models/fal-ai/ltx-video-v095","documentationUrl":"https://fal.ai/models/fal-ai/ltx-video-v095/api","about":"Generate a video from a prompt."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"LtxVideoV095Input":{"x-fal-order-properties":["prompt","negative_prompt","resolution","aspect_ratio","seed","num_inference_steps","enable_prompt_expansion","enable_safety_checker"],"title":"TextToVideoInput","properties":{"enable_safety_checker":{"default":true,"description":"Authorized callers may set false to request relaxed screening.","title":"Enable Safety Checker","type":"boolean"},"resolution":{"default":"720p","description":"Resolution of the generated video (480p or 720p).","title":"Resolution","enum":["480p","720p"],"type":"string"},"prompt":{"description":"Text prompt to guide generation","title":"Prompt","type":"string","examples":["A cute cat walking on a sidewalk"]},"aspect_ratio":{"default":"16:9","description":"Aspect ratio of the generated video (16:9 or 9:16).","title":"Aspect Ratio","enum":["9:16","16:9"],"type":"string"},"enable_prompt_expansion":{"default":true,"description":"Whether to expand the prompt using the model's own capabilities.","title":"Enable Prompt Expansion","type":"boolean"},"negative_prompt":{"default":"worst quality, inconsistent motion, blurry, jittery, distorted","description":"Negative prompt for generation","title":"Negative Prompt","type":"string"},"num_inference_steps":{"default":40,"description":"Number of inference steps","minimum":2,"title":"Num Inference Steps","type":"integer","maximum":50},"seed":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Random seed for generation","title":"Seed"}},"type":"object","required":["prompt"]},"LtxVideoV095Output":{"x-fal-order-properties":["video","seed"],"title":"TextToVideoOutput","properties":{"video":{"description":"The generated video file.","$ref":"#/components/schemas/File","examples":[{"url":"https://storage.googleapis.com/falserverless/example_outputs/ltx-t2v_output.mp4"}]},"seed":{"description":"The seed used for generation.","title":"Seed","type":"integer"}},"type":"object","required":["video","seed"]},"File":{"x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"},"file_name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"]},"file_size":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The size of the file in bytes.","title":"File Size","examples":[4404019]},"content_type":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The mime type of the file.","title":"Content Type","examples":["image/png"]}},"type":"object","required":["url"]}}},"paths":{"/fal-ai/ltx-video-v095/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video-v095/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/ltx-video-v095":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideoV095Input"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/ltx-video-v095/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtxVideoV095Output"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/kling-video/v1.6/pro/text-to-video","metadata":{"display_name":"Kling 1.6","category":"text-to-video","description":"Generate video clips from your prompts using Kling 1.6 (pro)","status":"deprecated","tags":[],"updated_at":"2026-09-15T13:08:50.640Z","is_favorited":null,"thumbnail_url":"https://v3b.fal.media/files/b/0a9f91b6/nA7fI1yIGllusi5Qk_2-K_zbj3Tfnu.png","model_url":"https://fal.run/fal-ai/kling-video/v1.6/pro/text-to-video","license_type":"commercial","date":"2025-02-27T00:00:00.000Z","group":{"key":"kling-video-v1-6","label":"Text to Video v1.6 (pro)"},"highlighted":false,"kind":"inference","duration_estimate":4,"pinned":false},"retires_at":null,"replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/kling-video/v1.6/pro/text-to-video","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/kling-video/v1.6/pro/text-to-video queue.","x-fal-metadata":{"endpointId":"fal-ai/kling-video/v1.6/pro/text-to-video","category":"text-to-video","thumbnailUrl":"https://v3b.fal.media/files/b/0a9f91b6/nA7fI1yIGllusi5Qk_2-K_zbj3Tfnu.png","playgroundUrl":"https://fal.ai/models/fal-ai/kling-video/v1.6/pro/text-to-video","documentationUrl":"https://fal.ai/models/fal-ai/kling-video/v1.6/pro/text-to-video/api","about":"Kling 1.6 (pro) Text to Video API."}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"KlingVideoV16ProTextToVideoInput":{"properties":{"prompt":{"maxLength":2500,"examples":["A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage. She wears a black leather jacket, a long red dress, and black boots, and carries a black purse."],"title":"Prompt","type":"string"},"cfg_scale":{"description":"\n            The CFG (Classifier Free Guidance) scale is a measure of how close you want\n            the model to stick to your prompt.\n        ","title":"Cfg Scale","type":"number","default":0.5,"minimum":0,"maximum":1},"negative_prompt":{"maxLength":2500,"title":"Negative Prompt","type":"string","default":"blur, distort, and low quality"},"aspect_ratio":{"enum":["16:9","9:16","1:1"],"description":"The aspect ratio of the generated video frame","title":"Aspect Ratio","type":"string","default":"16:9"},"enable_safety_checker":{"description":"Disabling safety checks requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","type":"boolean","default":true},"duration":{"enum":["5","10"],"description":"The duration of the generated video in seconds","title":"Duration","type":"string","default":"5"}},"required":["prompt"],"title":"TextToVideoRequest","x-fal-order-properties":["enable_safety_checker","prompt","duration","aspect_ratio","negative_prompt","cfg_scale"],"type":"object"},"KlingVideoV16ProTextToVideoOutput":{"properties":{"video":{"description":"The generated video","examples":[{"url":"https://v2.fal.media/files/fb33a862b94d4d7195e610e4cbc5d392_output.mp4"}],"$ref":"#/components/schemas/File"}},"required":["video"],"title":"T2VOutput","x-fal-order-properties":["video"],"type":"object"},"File":{"properties":{"file_size":{"description":"The size of the file in bytes.","title":"File Size","examples":[4404019],"anyOf":[{"type":"integer"},{"type":"null"}]},"file_name":{"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","examples":["z9RV14K95DvU.png"],"anyOf":[{"type":"string"},{"type":"null"}]},"content_type":{"description":"The mime type of the file.","title":"Content Type","examples":["image/png"],"anyOf":[{"type":"string"},{"type":"null"}]},"url":{"description":"The URL where the file can be downloaded from.","title":"Url","type":"string"}},"required":["url"],"title":"File","x-fal-order-properties":["url","content_type","file_name","file_size"],"type":"object"}}},"paths":{"/fal-ai/kling-video/v1.6/pro/text-to-video/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v1.6/pro/text-to-video/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/kling-video/v1.6/pro/text-to-video":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV16ProTextToVideoInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/kling-video/v1.6/pro/text-to-video/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KlingVideoV16ProTextToVideoOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}},{"endpoint_id":"fal-ai/wan-t2v","metadata":{"display_name":"Wan-2.1 Text-to-Video","category":"text-to-video","description":"Wan-2.1 is a text-to-video model that generates high-quality videos with high visual quality and motion diversity from text prompts","status":"deprecated","tags":["text to video","motion"],"updated_at":"2026-11-04T20:21:59.213Z","is_favorited":null,"thumbnail_url":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_02.jpg","model_url":"https://fal.run/fal-ai/wan-t2v","license_type":"commercial","date":"2025-02-25T00:00:00.000Z","group":{"key":"wan-2.1","label":"Text-to-Video"},"highlighted":false,"kind":"inference","duration_estimate":1,"pinned":false},"retires_at":"2027-01-04T08:00:00.000Z","replacement":null,"openapi":{"openapi":"3.1.0","info":{"title":"Queue OpenAPI for fal-ai/wan-t2v","version":"1.0.0","description":"The OpenAPI schema for the fal-ai/wan-t2v queue.","x-fal-metadata":{"endpointId":"fal-ai/wan-t2v","category":"text-to-video","thumbnailUrl":"https://storage.googleapis.com/fal_cdn/Fal_Visuals_V1_02.jpg","playgroundUrl":"https://fal.ai/models/fal-ai/wan-t2v","documentationUrl":"https://fal.ai/models/fal-ai/wan-t2v/api","about":"Inference"}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Fal Key"}},"schemas":{"QueueStatus":{"type":"object","properties":{"status":{"type":"string","enum":["IN_QUEUE","IN_PROGRESS","COMPLETED"]},"request_id":{"type":"string","description":"The request id."},"response_url":{"type":"string","description":"The response url."},"status_url":{"type":"string","description":"The status url."},"cancel_url":{"type":"string","description":"The cancel url."},"logs":{"type":"object","description":"The logs.","additionalProperties":true},"metrics":{"type":"object","description":"The metrics.","additionalProperties":true},"queue_position":{"type":"integer","description":"The queue position."}},"required":["status","request_id"]},"WanT2vInput":{"type":"object","x-fal-order-properties":["prompt","negative_prompt","num_frames","frames_per_second","seed","resolution","aspect_ratio","num_inference_steps","enable_safety_checker","enable_prompt_expansion","turbo_mode"],"title":"WanT2VRequest","properties":{"resolution":{"type":"string","description":"Resolution of the generated video (480p, 580p, or 720p).","title":"Resolution","default":"720p","enum":["480p","580p","720p"]},"num_frames":{"description":"Number of frames to generate. Must be between 81 to 100 (inclusive).","title":"Num Frames","anyOf":[{"type":"integer","maximum":100,"minimum":81},{"type":"null"}],"default":81},"num_inference_steps":{"type":"integer","maximum":40,"description":"Number of inference steps for sampling. Higher values give better quality but take longer.","minimum":2,"title":"Num Inference Steps","default":30},"prompt":{"examples":["A stylish woman walks down a Tokyo street filled with warm glowing neon and animated city signage. She wears a black leather jacket, a long red dress, and black boots, and carries a black purse."],"type":"string","description":"The text prompt to guide video generation.","title":"Prompt"},"frames_per_second":{"description":"Frames per second of the generated video. Must be between 5 to 24.","title":"Frames Per Second","anyOf":[{"type":"integer","maximum":24,"minimum":5},{"type":"null"}],"default":16},"negative_prompt":{"examples":["bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"],"type":"string","description":"Negative prompt for video generation.","title":"Negative Prompt","default":"bright colors, overexposed, static, blurred details, subtitles, style, artwork, painting, picture, still, overall gray, worst quality, low quality, JPEG compression residue, ugly, incomplete, extra fingers, poorly drawn hands, poorly drawn faces, deformed, disfigured, malformed limbs, fused fingers, still picture, cluttered background, three legs, many people in the background, walking backwards"},"turbo_mode":{"type":"boolean","description":"If true, the video will be generated faster with no noticeable degradation in the visual quality.","title":"Turbo Mode","default":false},"enable_prompt_expansion":{"examples":[false],"type":"boolean","description":"Whether to enable prompt expansion.","title":"Enable Prompt Expansion","default":false},"enable_safety_checker":{"examples":[true],"type":"boolean","description":"If set to true, the safety checker will be enabled. Disabling it requires account authorization; unauthorized requests are always checked.","title":"Enable Safety Checker","default":false},"seed":{"description":"Random seed for reproducibility. If None, a random seed is chosen.","title":"Seed","anyOf":[{"type":"integer"},{"type":"null"}]},"aspect_ratio":{"type":"string","description":"Aspect ratio of the generated video (16:9 or 9:16).","title":"Aspect Ratio","default":"16:9","enum":["9:16","16:9"]}},"required":["prompt"]},"WanT2vOutput":{"type":"object","x-fal-order-properties":["video","seed"],"title":"WanT2VResponse","properties":{"video":{"examples":[{"url":"https://storage.googleapis.com/falserverless/web-examples/wan/t2v.mp4"}],"$ref":"#/components/schemas/File","description":"The generated video file."},"seed":{"type":"integer","description":"The seed used for generation.","title":"Seed"}},"required":["video","seed"]},"File":{"type":"object","x-fal-order-properties":["url","content_type","file_name","file_size"],"title":"File","properties":{"url":{"type":"string","description":"The URL where the file can be downloaded from.","title":"Url"},"file_size":{"examples":[4404019],"description":"The size of the file in bytes.","title":"File Size","anyOf":[{"type":"integer"},{"type":"null"}]},"content_type":{"examples":["image/png"],"description":"The mime type of the file.","title":"Content Type","anyOf":[{"type":"string"},{"type":"null"}]},"file_name":{"examples":["z9RV14K95DvU.png"],"description":"The name of the file. It will be auto-generated if not provided.","title":"File Name","anyOf":[{"type":"string"},{"type":"null"}]}},"required":["url"]}}},"paths":{"/fal-ai/wan-t2v/requests/{request_id}/status":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}},{"name":"logs","in":"query","required":false,"schema":{"type":"number","description":"Whether to include logs (`1`) in the response or not (`0`)."}}],"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-t2v/requests/{request_id}/cancel":{"put":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"The request was cancelled.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","description":"Whether the request was cancelled successfully."}}}}}}}}},"/fal-ai/wan-t2v":{"post":{"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanT2vInput"}}}},"responses":{"200":{"description":"The request status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueueStatus"}}}}}}},"/fal-ai/wan-t2v/requests/{request_id}":{"get":{"parameters":[{"name":"request_id","in":"path","required":true,"schema":{"type":"string","description":"Request ID"}}],"responses":{"200":{"description":"Result of the request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WanT2vOutput"}}}}}}}},"servers":[{"url":"https://queue.fal.run"}],"security":[{"apiKeyAuth":[]}]}}],"next_cursor":"MTU","has_more":true}
